apply plugin: 'com.android.application'

android {
    namespace "net.moasdawiki.app"
    compileSdk 33 // 33 = Android 13
    defaultConfig {
        applicationId "net.moasdawiki.app"
        minSdk 28 // 28 = Android 9
        targetSdk 33 // should be same as compileSdk
        versionCode 38
        versionName "3.6.2.1"
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
    buildFeatures {
        buildConfig true
    }
    lintOptions {
        // Workaround for NullPointerException in :app:lintVitalAnalyzeRelease
        checkReleaseBuilds false
    }
    base {
        archivesName = "moasdawiki-" + defaultConfig.versionName + "-" + defaultConfig.versionCode
    }
}

dependencies {
    api 'net.moasdawiki:moasdawiki-server:3.6.2'
    api ('androidx.appcompat:appcompat:1.6.1') {
        exclude group: 'org.jetbrains', module: 'annotations'
    }
    api ('androidx.preference:preference:1.2.1') {
        exclude group: 'org.jetbrains', module: 'annotations'
    }
    compileOnly 'org.jetbrains:annotations:24.0.1'
}
